View Issue Details

IDProjectCategoryView StatusLast Update
0003868SymmetricDSBugpublic2019-05-22 14:00
ReportergislikAssigned Tojaredfrees 
Prioritylow 
Status resolvedResolutionfixed 
Product Version3.9.16 
Target VersionFixed in Version3.10.3 
Summary0003868: SymmetricDS fails to create SQLITE3 tables on initial load if table name conflicts with reserved SQL keywords.
DescriptionAfter triggering the creation of a SQLITE3 table (with table name "limit") on the target side SymmetricDB throws the following errors:

[SQLITE_ERROR] SQL error or missing database (near "limit": syntax error)

and

org.jumpmind.db.sql.SqlException: Failed to execute sql: pragma table_info(limit)

Steps To ReproduceCreate the following SQLITE3 table on the source:

CREATE TABLE IF NOT EXISTS "limit" (
   "id" varchar(36),
   "created_at" datetime,
   "updated_at" datetime,
   "deleted_at" datetime,
   "kind" varchar(255) NOT NULL,
   "volume" real,
   "set_by" varchar(36) ,
   PRIMARY KEY ("id")
);

And try to sync to a target.
Tagsddl/schema, dialect: sqlite

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.10 6f96748a

2019-05-22 13:06:59

jfrees

Details Diff
0003868: quote table names used in SQLITE3 pragma statements
0003868
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/sqlite/SqliteDdlReader.java Diff File

Issue History

Date Modified Username Field Change
2019-01-30 07:22 gislik New Issue
2019-04-25 15:34 elong Tag Attached: dialect: sqlite
2019-04-25 15:34 elong Tag Attached: ddl/schema
2019-05-22 13:05 jaredfrees Assigned To => jaredfrees
2019-05-22 13:05 jaredfrees Status new => assigned
2019-05-22 13:07 jaredfrees Status assigned => resolved
2019-05-22 13:07 jaredfrees Resolution open => fixed
2019-05-22 13:07 jaredfrees Fixed in Version => 3.10.3
2019-05-22 14:00 jfrees Changeset attached => SymmetricDS 3.10 6f96748a